# Package org.jfree.layouting.util

- Class Summary
  Class | Description
  --- | ---
  AbstractObjectList | A list of objects that can grow as required.
  AttributeMap | Creation-Date: 09.04.2006, 16:12:13
  ChainingComponent | A chaining component accepts calls from outside, forwards them to its wrapped object, and records all calls to the next chain element.
  ChainingComponent.RecordedCall |
  ColorUtil | Creation-Date: 16.04.2006, 15:23:58
  ImageUtils | Creation-Date: 28.11.2006, 12:27:05
  IntList | A Array-List for integer objects.
  LazyAttributeMap | Todo: Document Me
  LocaleUtility | Creation-Date: 17.04.2006, 12:49:46
  LongList | A Array-List for integer objects.
  NullOutputStream | A null output stream.
  ObjectList | A list of objects that can grow as required.
  UTFEncodingUtil | Provides a method to encode any string into a URL-safe form.

- Exception Summary
  Exception | Description
  --- | ---
  ChainingCallException | Creation-Date: 04.10.2006, 18:35:12